bitcain docs
API Reference

Scheduled Jobs

Background job management and scheduled tasks

Rotate Api Keys Job

POST
/api/scheduled/rotate-api-keys

Header Parameters

x-scheduled-job-secret*string

Scheduled job secret token

Response Body

application/json

application/json

curl -X POST "https://loading/api/scheduled/rotate-api-keys" \  -H "x-scheduled-job-secret: string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Cleanup Grace Periods Job

POST
/api/scheduled/cleanup-grace-periods

Header Parameters

x-scheduled-job-secret*string

Scheduled job secret token

Response Body

application/json

application/json

curl -X POST "https://loading/api/scheduled/cleanup-grace-periods" \  -H "x-scheduled-job-secret: string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Cleanup Device Sessions Job

POST
/api/scheduled/cleanup-device-sessions

Header Parameters

x-scheduled-job-secret*string

Scheduled job secret token

Response Body

application/json

application/json

curl -X POST "https://loading/api/scheduled/cleanup-device-sessions" \  -H "x-scheduled-job-secret: string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Cleanup Expired Tokens Job

POST
/api/scheduled/cleanup-expired-tokens

Header Parameters

x-scheduled-job-secret*string

Scheduled job secret token

Response Body

application/json

application/json

curl -X POST "https://loading/api/scheduled/cleanup-expired-tokens" \  -H "x-scheduled-job-secret: string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Scheduled Jobs Health

GET
/api/scheduled/health

Response Body

application/json

curl -X GET "https://loading/api/scheduled/health"
{}

Evaluate Strategy Autopilots

POST
/api/scheduled/strategy-autopilot/evaluate

Header Parameters

x-scheduled-job-secret*string

Scheduled job secret token

Response Body

application/json

application/json

curl -X POST "https://loading/api/scheduled/strategy-autopilot/evaluate" \  -H "x-scheduled-job-secret: string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}